<?php

namespace Modules\Delivery\app\Http\Controllers\Api\v1;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Http\JsonResponse;
use Appp\Helpers\ResponseHelper;
use App\Helpers\ResponseErrorHelper;
use Modules\ServiceHelper\app\Models\Images;
use Modules\Delivery\app\Http\Resources\DeliveryResource;
use Modules\Delivery\app\Models\Delivery;
use Modules\Messager\app\Models\Messager;
use Intervention\Image\Facades\Image as Image;
use Illuminate\Support\Facades\DB;

class DeliveryApiController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $deliveries = Delivery::all();
        return sendResponse(DeliveryResource::collection($deliveries), 'Delivery company retrieved successfully.');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Show the specified resource.
     */
    public function show($id)
    {
       //
    }


    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request)
    {
       //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy($id)
    {
       //
    }
    
}
